<?php

/**
 * GuestBook extension for Mediawiki.
 *
 * Copyright (C) 2005 - 2013 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * @package MediaWiki
 * @subpackage Extensions
 * @author Tino Reichardt <milky dash gbook at mcmilk dot de>
 */

if (!defined('MEDIAWIKI')) die();

error_reporting(E_ALL);

/* if set to false, no captcha is needed! */
$want_captcha = true;

/**
 * when these two variables are set, google's re-captcha is used, in favor
 * of the included captcha class (captcha-class.php)
 */
//$recaptcha_pubkey  = "aWNoIGJpbiBrZWluIGtvcnJla3RlciBwdWJrZXkK";
//$recaptcha_privkey = "aWNoIGJpbiBrZWluIGtvcnJla3RlciBwcnZrZXkK";

/* you can define the number of entries per page here */
$EntriesPerPage = 8; /* default: $wgUser->getOption('rows'); */

/* mostly '&amp;' or '?' */
$GetRequestSeperator = "?";

/* bad data (will be ignored or replaced) */
$BadRequestStrings = array("<", ">", "%");

/* define here some regex for catching spammers */
$wgSpamRegex = "/(naughty|spam|viagra)/i";

/* you can specify multiple guestbook aliases here */
//$GuestbookHeadline['1'] = "first special headline"; /* gbReplyto=-1 */
//$GuestbookAlias['book1'] = 1;
//$GuestbookAlias['lala1'] = 1;

//$GuestbookHeadline['2'] = "SECONDS special headline"; /* gbReplyto=-2 */
//$GuestbookAlias['lalü2'] = 2;
//$GuestbookAlias['blubb'] = 3; /* gbReplyto=-3 */

/* gbReplyto=-3 */
$GuestbookMaxID = 3;

/* can be changed, but must be reachable by browser! */
$myExtensionPath = "$wgScriptPath/extensions/gbook";

/* sysop's can moderate the guestbook */
$wgGroupPermissions['sysop']['gbook'] = true;
$wgGroupPermissions['*']['gbook'] = false;

/* new specialpages registration interface */
$wgAutoloadClasses[ 'Guestbook' ] = dirname( __FILE__ ) . '/gbookClass.php';
$wgSpecialPages[ 'Guestbook' ] = 'Guestbook';

/* package definitions */
$wgExtensionCredits['specialpage'][] = array(
        'version' => '0.17',
        'author'  => 'Tino Reichardt',
        'name'    => 'Guestbook',
        'url'     => 'http://www.mcmilk.de/wiki/Category:Wiki-Guestbook',
        'description' => 'Adds a guestbook special page to the wiki, along with some administration.'
);

/* disable captcha, if the needed functions are not found! */
if (!isset($recaptcha_pubkey)) {
  if (!function_exists("imagecreatetruecolor")) { $want_captcha = false; }
  if (!function_exists("imagettftext")) { $want_captcha = false; }
}

?>
